/**************************************************************
	LED Pikapika2 12F1822 for PIC evaluation board
 **************************************************************
	author air_variable
	http://www.ne.jp/asahi/air/variable/
	Tools:
	MPLAB IDE v8.88
	MPLAB XC8 v1.12
---------------------------------------------------------------
Date	:Time	Version	Build	Note
20130127 0820 	1.00	---		Begin the program
---------------------------------------------------------------
C:\picsrc\xc8\flash_led_12f1822
---------------------------------------------------------------
	Pin assignment:
	(1)Vdd				[PICKIT2-2] 
	(2)RA5	LED
	(3)RA4		OSC out (for check)
	(4)RA3(/MCLR)		[PICKIT2-1]	(Vpp) Vdd bitween resister 10Kohm
	(5)RA2	
	(6)RA1				[PICKIT2-5]
	(7)RA0				[PICKIT2-4]
	(8)Vss				[PICKIT2-3]
**************************************************************/
#include <htc.h>
#pragma	jis
#define _XTAL_FREQ 31000	//Clock 31KHz
__CONFIG(	
	FOSC_INTOSC & WDTE_ON & PWRTE_ON & MCLRE_OFF & CP_OFF 
	& CPD_OFF & BOREN_NSLEEP & CLKOUTEN_ON & IESO_OFF & FCMEN_OFF
);
__CONFIG(
	WRT_OFF & PLLEN_OFF & STVREN_ON & BORV_LO &  LVP_OFF
);
//------------------main
void main(void){
	unsigned char temp;
//Initialization
	GIE  = 0;				//Interrupt service is disable
	OSCCON = 0b00000010;	// PLL disable, 31KHz LF internal clock
 	ANSELA = 0;				//ALL digital port
	WDTCON = 0b00011001; 	//watch dog timer 4sec 
//--------------------------------------------------------
// Prescale settings
	OPTION_REG =  0b11111100; 
				//  76543210
    TRISA 	=     0b00001000;
    PORTA	=     0b00101000;
//---------------------------------------------------------
	RA5 =0;
	__delay_ms(100);	//30ms wait
	RA5 =1;
	CLRWDT();
	SLEEP();
	NOP();
}

		
